# Goods and services receipts: Bimp API methods

URL: https://bimpsoft.com/en/help/developers/api-reference/purchase-invoice/

Bimp API methods for the “Goods and services receipts” resource (`/org2/purchaseInvoice/…`): 5 methods. Base URL: `https://app.bimpsoft.com`. All requests except login pass the company token in the `access-token` header — see [Getting started with the API](/en/help/developers/api-getting-started/).

| Method | What it does |
|---|---|
| [`POST /org2/purchaseInvoice/api-read`](#api-read) | A request to obtain detailed information for a particular purchase invoice document |
| [`POST /org2/purchaseInvoice/api-readList`](#api-read-list) | A request to view a list of purchase invoice documents |
| [`POST /org2/purchaseInvoice/api-create`](#api-create) | A request to create a new purchase invoice document |
| [`POST /org2/purchaseInvoice/api-update`](#api-update) | A request to update an existing purchase invoice document |
| [`POST /org2/purchaseInvoice/api-cancel`](#api-cancel) | Cancel a purchase invoice document |

## api-read

`POST /org2/purchaseInvoice/api-read`

A request to obtain detailed information for a particular purchase invoice document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for the Purchase invoice document |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |
| `name` | string |  |
| `date` | string (date-time) |  |
| `comment` | string |  |
| `sum` | number |  |
| `number` | string |  |
| `counterparty` | string (uuid) |  |
| `responsible` | string (uuid) |  |
| `organization` | string (uuid) |  |
| `managerialAccounting` | boolean | Управлінський облік |
| `bookkeperAccounting` | boolean | Бухгалтерський облік |
| `taxAccounting` | boolean | Податковий облік |
| `shipmentDate` | string |  |
| `VATaccounted` | boolean |  |
| `VAT` | number |  |
| `costWOVat` | boolean |  |
| `contract` | string (uuid) |  |
| `warehouse` | string (uuid) |  |
| `invoiceForPayment` | string (uuid) |  |
| `orderInTablePart` | boolean |  |
| `processing` | boolean | An informational flag marking the document as related to tolling (processing) |
| `products` | object[] |  |
| `products[].cost` | number |  |
| `products[].count` | number |  |
| `products[].sum` | number |  |
| `products[].VAT` | string (uuid) |  |
| `products[].VATamount` | number |  |
| `products[].unitOfMeasurement` | string (uuid) |  |
| `products[].product` | string (uuid) |  |
| `products[].parent` | string (uuid) |  |
| `products[].invoiceForCustomerPayment` | string (uuid) |  |
| `products[].supplierNomenclature` | string | Supplier nomenclature name (НоменклатураПоставщика) |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/purchaseInvoice/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-readList

`POST /org2/purchaseInvoice/api-readList`

A request to view a list of purchase invoice documents

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `pagination` | object | yes |  |
| `pagination.offset` | number | yes | Begin from {offset} elements |
| `pagination.count` | number | yes | Limit of paginated elemets |
| `periodable` | object[] |  | Period range as a tuple of two ISO 8601 date-time strings in UTC (e.g. '2012-10-05T14:48:00.000Z') |
| `organizations` | string (uuid)[] |  | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `showAll` | boolean |  | Parameter to show all documents inc. Archived and Drafts |
| `managerialAccounting` | boolean |  | Show documents with managerial accounting |
| `bookkeperAccounting` | boolean |  | Show documents with bookkeper accounting |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `[].uuid` | string (uuid) |  |
| `[].name` | string |  |
| `[].date` | string (date-time) |  |
| `[].comment` | string |  |
| `[].sum` | number |  |
| `[].number` | string |  |
| `[].currency` | string (uuid) |  |
| `[].counterparty` | string (uuid) |  |
| `[].responsible` | string (uuid) |  |
| `[].organization` | string (uuid) |  |
| `[].invoiceForPayment` | string |  |
| `[].managerialAccounting` | boolean | Управлінський облік |
| `[].bookkeperAccounting` | boolean | Бухгалтерський облік |
| `[].taxAccounting` | boolean | Податковий облік |
| `[].archive` | boolean | Заархівований документ |
| `[].isConducted` | boolean | Проведений документ |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/purchaseInvoice/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'
```

## api-create

`POST /org2/purchaseInvoice/api-create`

A request to create a new purchase invoice document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `number` | string \| number |  | Document number |
| `date` | string |  | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `shipmentDate` | string \| null |  |  |
| `VATaccounted` | boolean | yes | Value indicating whether VAT (Value Added Tax) has been accounted for |
| `costWithoutVAT` | boolean | yes | Is the price excluding VAT? |
| `bookkeperAccounting` | boolean | yes | Is accounting taken into account in the document? |
| `managerialAccounting` | boolean | yes | Is management accounting taken into account in the document? |
| `taxAccounting` | boolean | yes | Is tax accounting taken into account in the document? |
| `orderInTablePart` | boolean |  | Is there an order in the table part? |
| `processing` | boolean |  | An informational flag marking the document as related to tolling (processing) |
| `organization` | string (uuid) | yes | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `responsible` | string (uuid) | yes | A unique identifier for the Employee, obtainable from the /employee/api-readList request |
| `counterparty` | string (uuid) | yes | A unique identifier for a counterparty of type 'isCustomer'.You can retrieve this UUID using the /counterparty/api-readList request |
| `warehouse` | string (uuid) | yes | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
| `contract` | string (uuid) | yes | The unique identifier for the counterparty's contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
| `invoiceForSupplierPayment` | string (uuid) | yes | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
| `products` | object[] | yes |  |
| `products[].orderedCount` | number | yes | Number of ordered items |
| `products[].warehouseCount` | number | yes | Actual quantity received at the warehouse |
| `products[].sum` | number | yes | The sum of the document |
| `products[].VATsum` | number | yes | The amount of the VAT |
| `products[].cost` | number | yes | A numerical value representing the cost of the product |
| `products[].lineOfBusiness` | string (uuid) | yes | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
| `products[].product` | string (uuid) | yes | A GUID of product, representing the nomenclature included in the document |
| `products[].project` | string (uuid) | yes | A unique identifier for the Project, obtainable from the /project/api-readList request |
| `products[].taxRate` | string (uuid) |  | A unique identifier for the VAT, obtainable from the /vat/api-readList request |
| `products[].invoiceForCustomerPayment` | string (uuid) \| null | yes | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request |
| `products[].supplierNomenclature` | string |  | Supplier nomenclature name (НоменклатураПоставщика) |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/purchaseInvoice/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"VATaccounted":true,"costWithoutVAT":true,"bookkeperAccounting":true,"managerialAccounting":true,"taxAccounting":true,"organization":"00000000-0000-0000-0000-000000000000","responsible":"00000000-0000-0000-0000-000000000000","counterparty":"00000000-0000-0000-0000-000000000000","warehouse":"00000000-0000-0000-0000-000000000000","contract":"00000000-0000-0000-0000-000000000000","invoiceForSupplierPayment":"00000000-0000-0000-0000-000000000000","products":[{}]}'
```

## api-update

`POST /org2/purchaseInvoice/api-update`

A request to update an existing purchase invoice document

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/purchaseInvoice/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

## api-cancel

`POST /org2/purchaseInvoice/api-cancel`

Cancel a purchase invoice document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for the purchase invoice document |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `success` | boolean (true) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/purchaseInvoice/api-cancel' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

Interactive documentation with a test request option: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.
